
 ~ GameType-Revolution a fun mod for Quake 4 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

   Date:  March, 2006
   Url:   http://gtr.quakedev.com/
   Mail:  TTK-Bandit@my-mail.ch

   Feel free to visit us at #GT-Revolution on QuakeNet and EnterTheGame :)

 ~ Client Commands ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

   cl_autoAction <bitmask> - Default: 0
        Automatically performs actions at certain points in the game.
        Value:
         1 - Statslog
         2 - Screenshot
         4 - Demorecord
         8 - *reserved*
        16 - *reserved*

        So a value of 7 will record a demo and will do a statsdump + screenshot
        at the end of the match.

   cl_blood <0|1> - Default: 1
        Toggle the blood effects
        0 - Off
        1 - On
   
   cl_buttonConfig[1-4]_down <string> - Default: "say 'button [1-4] down'"
   cl_buttonConfig[1-4]_up   <string> - Default: "say 'button [1-4] up'"
        Buttonconfigs allow you to define actions for 4 buttons,
        when the button is pressed and when the button is released.
        For example, set cl_buttonConfig1_down to "say 'button 1 down'"
        and cl_buttonConfig1_up to "say 'button 1 up'", then bind a key
        to "_button1" and see what happens when you press and release it :)

   cl_editMapLocations <0|1> - Default: 0
        Toggle maplocation editmode
        If enabled it will show the current area and total number of ares
        in the teamoverlay as location to indicate an unnamed area.
        0 - Disabled
        1 - Enabled

   cl_gimmikMod <0|1> - Default: 0
        Find it out by yourself - greets to arQon for the idea :)
        
   cl_grenadeTrail <n> - Default: 1
        Show/hide grenades smoke
        0 - hide grenade smoke trail
        1 - show grenade smoke trail

   cl_enemyColorArms <RRGGBB> - Default: 000000
        Enemy models arms color

   cl_enemyColorIntensity <0 - 1.0> - Default: 1
        Specifies brightskins brightness
        It's a float value between 0 and 1 that u can use to darken your
        brightskins a bit. default is 1.0 = maximum brightness.

   cl_enemyColorLegs <RRGGBB> - Default: 000000
        Enemy models legs color

   cl_enemyColorTorso <RRGGBB> - Default: 000000
        Enemy models torso color
        RRGGBB = Hex value that is used to ink the enemy-brightskin.

   cl_gibs <0|1> - Default: 1
        Toggle the playergib effects
        0 - Off
        1 - On

   cl_nailTrail <n> - Default: 1
        Show/hide nailtrail
        0 - hide nail smoke trail
        1 - show nail smoke trail

   cl_teamColorArms <RRGGBB> arms color - Default: 000000
        Your models arms color

   cl_teamColorLegs <RRGGBB> legs color - Default: 000000
        Your model legs color

   cl_teamColorTorso <RRGGBB> torso color - Default: 000000
        Your model torso color
        This hex-value is used to ink your team-mates arms, legs or torso.
        It's also used as _your_ color when a mate don't forces every part
        using his color with cl_teamForceColors.

   cl_teamColorIntensity <0 - 1.0> - Default: 1
        Specifies brightskins brightness
        It's a float value between 0 and 1 that u can use to darken your
        brightskins a bit. default is 1.0 = maximum brightness.

   cl_tinyRailTrail <n> - Default: 0
        Dis-/enable the tiny railtrail
        0 - Disable tiny railtrail
        1 - Enable tiny railtrail

   cl_useScreenShotJPEG <0|1> - Default: 1
        Allows use of .jpg for screenshots taken with autoscreenshot or
        autoaction settings.
        0 - Use the standard .tga screenshot format
        1 - Use the .jpg screenshot format

   cl_rocketTrail <n> - Default: 1
        Show/hide rockets smoke
        0 - hide rockets smoke trail
        1 - show rockets smoke trail
        
   cl_teamForceColors <0-7> - Default: 7
        Set which parts are forced to your teamcolors
        Using this cvar you have the opportunity to see parts of your mates
        brightskin with their color setting.
        It's a bitmask with bit 1 to force legs, bit 2 to force arms and bit 3
        for torso coloring. so legs, arms and torso get a value of 1, 2, 4.
        If you want that the brightskins of your mates have your
        clteamColorLegs and *Arms settings but _their_ *Torso value, you
        would set up cl_teamForceColors to 3. ( legs = 1 + arms = 2 )
        for your *Torso and your *Arms to 6 ( arms = 2 + torso = 4 ).

   cl_viewBobbing <0|1> - Default: 1
        Toggles the bobbing of the player fov, regardless of the pm_bob* settings
        0 - Disable viewing of bobbing
        1 - Enable viewing of bobbing

   cl_weaponBobbing <0|1> - Default: 1
        Toggles bobbing of weapon
        0 - Disables the weapon bobbing and lag when turning or jumping
        1 - Show weapon bobbing

   cl_weaponConfigs <0|1> - Default: 0
        Dis-/enable different settings like fov, sensitivity, crosshairsize etc.
        for each weapon.
        0 - Disables the usage of weaponconfigs.
        1 - Enable the usage of weaponconfigs.
   
   cl_weaponConfig0 <string> - Default: "-1 -1 -1 0 48 0088ff"
   cl_weaponConfig1 <string> - Default: "-1 -1 -1 1 24 ffff00"
   cl_weaponConfig2 <string> - Default: "-1 -1 -1 2 24 ff8c00"
   cl_weaponConfig3 <string> - Default: "-1 -1 -1 3 24 0073ff"
   cl_weaponConfig4 <string> - Default: "-1 -1 -1 4 24 338f12"
   cl_weaponConfig5 <string> - Default: "-1 -1 -1 5 24 99cccc"
   cl_weaponConfig6 <string> - Default: "-1 -1 -1 6 24 ff0000"
   cl_weaponConfig7 <string> - Default: "-1 -1 -1 7 24 00ff00"
   cl_weaponConfig8 <string> - Default: "-1 -1 -1 8 24 ffff99"
   cl_weaponConfig9 <string> - Default: "-1 -1 -1 9 24 c433ff"

        arguments order is :
        g_fov, sensitivity, ui_showGun, crosshair index ( see below ),
        g_crosshairSize, g_crosshairColor in rgb hex color.

        note : a value of -1 means that the current value shall not ne changed.

        crosshair index list:
        =====================
         1		"gfx/guis/crosshairs/crosshair_blaster.tga"
         2		"gfx/guis/crosshairs/crosshair_grenadelauncher.tga"
         3		"gfx/guis/crosshairs/crosshair_lightninggun.tga"
         4		"gfx/guis/crosshairs/crosshair_machinegun.tga"
         5		"gfx/guis/crosshairs/crosshair_nailgun.tga"
         6		"gfx/guis/crosshairs/crosshair_railgun.tga"
         7		"gfx/guis/crosshairs/crosshair_rocketlauncher.tga"
         8		"gfx/guis/crosshairs/crosshair_shotgun.tga"
         9		"gfx/guis/crosshairs/crosshair_q3_1.tga"
        10		"gfx/guis/crosshairs/crosshair_q3_2.tga"
        11		"gfx/guis/crosshairs/crosshair_q3_3.tga"
        12		"gfx/guis/crosshairs/crosshair_q3_4.tga"
        13		"gfx/guis/crosshairs/crosshair_q3_5.tga"
        14		"gfx/guis/crosshairs/crosshair_q3_6.tga"
        15		"gfx/guis/crosshairs/crosshair_q3_7.tga"
        16		"gfx/guis/crosshairs/crosshair_q3_8.tga"
        17		"gfx/guis/crosshairs/crosshair_q3_9.tga"
        18		"gfx/guis/crosshairs/crosshair_q3_10.tga"
        
   UpdateBrightskins:
        Update the cl_teamColor* changes immediately
        
 ~ enhanced or modified q4base commands ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

   g_crosshairSize <n> - Default: 32
        Allows to set the crosshairsize in pixels.
        Valid values are from 2 up to 100.
        i.e. : set g_crosshairSize "64"
        
   g_fov <float> - Default: 90
        Allows to set the field of view in degress.
        Valid values in multiplayer are from 20-150

 ~ HUD commands ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

   hud_ammoBar <n> - Default: 0
        Where to display actual ammo
        0 - lower left
        1 - at crosshair
        2 - both places

   hud_ammoColor <n> - Default: 1
        Draw ammo in color at weaponswitch?
        0 - No
        1 - Yes

   hud_ammoVisible <n> - Default: 2
        How long ammo is visible
        0 - never
        1 - 3 seconds
        2 - allways

   hud_barStyle <0|1> - Default: 0
        Statusbarformat style
        0 - Q4 default
        1 - CPM style

   hud_drawTeamOverlay <n> - Default: 1
        Enables the usage of the Teamoverlay for teambased gametypes like
        CTF/Team DM
        0 - Disabled
        1 - upper right corner
        2 - lower right corner
        3 - lower left corner

   hud_drawTimer <n> - Default: 1
        Toggles game-timer appearence
        0 - Disabled
        1 - Timer shows time remained ( q4 default )
        2 - Timer shows time passed
        
        during warmup / sudden death mode the gamecounter will always
        be counting up, because the system doesnt know when the game
        starts (if warmup) / ends (if sudden death).

   hud_lagometerPosition <x y> - Default 10 380
        Allows to freely positioning of the lagometer
        The first arg is the x-position and the next is the y-position.

   hud_showJumps <n> - Default: 0
        Display jump distance in units
        0 - Off
        1 - On

   hud_showSpeed <n> - Default: 0
        Display player speed in units/seconds
        0 - Off
        1 - On

   hud_showTeamHealth <n> - Default: 0
	    Display health/armor info of teammates when aiming on them
	    0 - Disabled
	    1 - Enabled

   hud_teamOverlayDrawSelf <n> - Default: 1
        Draw yourself on the Teamoverlay?
        0 - No
        1 - Yes

   hud_weaponHighlight <n> - Default: 0
        How to highlight active weapon
        0 - colored border
        1 - blue background
        2 - black background

   hud_weaponSwitch <n> - Default: 0
        Where to display the weaponbar
        0 - centered
        1 - left
        2 - right
        3 - centered CPM style

   hud_weaponVisible <n> - Default: 2
        How long weaponbar is visible
        0 - never
        1 - 3 seconds
        2 - allways

 ~ render options  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

   r_ambientLightOnly <float> - Default: 0
        Allows to enable only ambientlights on the map.
        ( This will give an fps boost )
        0         - map default lightning
        1.0 - 2.0 - enable only ambientlight, where 1.0 is normal brightness and
                    2.0 is brighter.

   r_skipWorldFX <bitmask> - Default: 0
        Allows to skip different world effects.
         0 - Skip nothing
         1 - skips the drawing of the glow effects around items.
         2 - skips the drawing of the visual effects for item spawnpoints.
         4 - skips the drawing of the visual effects for jumppads.
         8 - skips the drawing of the visual effects for teleporter.
        16 - skips the drawing of the visual effects for fog, sparks
             and some more.
        
        To remove an effect just add his value.
        i.e : A value of 31 removes all visual effects!
        a value of 6 only removes the item spawnpoints and jumppad effects.

 ~ sound options  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

   s_altHitsounds <0|1> - Default: 0
        Alternate hitsounds
        0 - q4 hitsounds
        1 - q3 like hitsounds

 ~ Referee Commands ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

   To become a referee you need to type : ref or referee followed by the
   referee-password for the server.
   
   i.e. : ref password

   ref_allready                - sets all players to ready and starts the
                                 countdown/game
   ref_allunready              - sets all players to unready
   ref_abort                   - aborts a running match
   ref_restart                 - restart a map
   ref_assignstrogg <name|id>  - place a spectator to the strogg team
   ref_assignmarine <name|id>  - place a spectator to the marine team
   ref_remove <name|id>        - removes a player from the team
   ref_kick <name|id>          - kicks a player from the server
   ref_ban <name|id>           - bans a player from the server
   ref_help                    - shows a little helptext for the referee
   ref_map <mapname>           - change the current map

 ~ clientcallvote options  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

   altminspawnlimit <0|1>
        see g_altMinRespawnLimit
        shortcut: asl
   freemodels <0|1>
        see si_freemodels
        shortcut: fm
   fastswitch <0|1>
        see g_fastWeaponSwitch
        shortcut: fs
   maxrespawntime <n>
        see g_maxRespawnTime
        shortcut: mrl
   stairjumps <0|1>
        see pm_stairjumps
        shortcut: sj
   smoothboxjumps <0-16>
        see pm_smoothboxjumps
        shortcut: sbj
   spawntype <0-2>
        see g_spawnType
        shortcut: st
   setconfig <name> [gametype]
        where <name> is one of : Quake4, GTR, Q4w, QW, Server
        the argument gametype is optional and will automaticly change to the
        specified gametype.
        shortcut: sc
   teamdamage <0|1|2>
        see si_teamdamage
        shortcut: td
   traineemode <0|1-10>
        see g_traineeMode
        shortcut: tm

 ~ sayTeam extensions ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

   NOTE: chattokens are only available for active players in teamgames!

   #a - armor        - your current armor value
   #D - damaged by   - the last player which attacked you.
   #h - health       - your health colored by value
   #H - health       - your health ( uncolored )
   #I - nearest item - the nearest item
   #P - picked up    - the last item you picked up.
   #U - powerups     - lists all powerups the player is currently wearing
   #w - weapon       - player weapon as shortext. like RG for RailGun etc.
   #W - weapon       - player weapon as icon.
   #L - location     - your current location.

 ~ Direct Commands ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

   coach
        Accept a coach invitation

   coachDecline
        Declines a coach invitation.

   coachKick
        Removes a previously invited coach from a team.

   coachInvite
        Invites a player to coach the team.

   players / listplayers
        Lists all players with id, team and name

   teamlock
        Allows to lock your team.

   teamunlock
        Unlocks your team after locking it.
        
   time
        Toggles the match status.
        no timeout <-> timeout
   
   timeout
        Will pause the game

   timein
        Will unpause the game

 ~ Binds ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

   _button[1-4]
        user defined buttons, see cl_buttonConfig[1-4]_* for details
